﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ManualOrderCreationScript")

<div class="content">
    <fieldset>
        <table>
            <td style="width: 40%; border-right: 1px solid black; padding-right: 7px;">
                <table>  
                    <tr>
                        
                         <td>
                            @Html.DevExpress().Label(
                                    label =>
                                    {
                                        label.Text = "Upload File  ";
                                        label.Height = 25;
                                        label.Width = 80;
                                    }).GetHtml()
                        </td>

                        <td align="left" valign="top" colspan="3" style="padding-top:5%">
                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID2";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            @using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
                            {
                                @Html.DevExpress().UploadControl(
                            Uploader =>
                            {
                                Uploader.Name = "UploadButton";
                                Uploader.CallbackRouteValues = new { Controller = "ManualOrderCreation", Action = "CallbackUpload" };
                                Uploader.ShowProgressPanel = false;
                                //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                                Uploader.Width = 200;
                            }).GetHtml()
                            }
                            @Html.DevExpress().HyperLink(Link =>
                            {
                                Link.Name = "I_DownloadLink";
                                Link.Properties.Text = "Download Template";
                                Link.Width = 160;
                                Link.NavigateUrl = "javascript:void(0)";
                                Link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ existingFile(); }}");
                                Link.Style.Add("display", "inline-table");
                            }).GetHtml()
                        </td>
                        <td align="left" valign="top" style="padding-top:5%"    >
                            @Html.DevExpress().Button(Button =>
                            {
                                Button.Name = "I_Upload";
                                Button.Text = "Upload";
                                Button.Width = 90;
                                Button.ClientSideEvents.Click = "UploadData";
                                //Button.Style.Add("display", "inline-table");
                                Button.UseSubmitBehavior = true;
                                //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                            }).GetHtml()
                            <br />
                        </td>
                    </tr>
                    <tr >
                        <td align="left" colspan="3" style="padding-top:5%">
                            @Html.DevExpress().Button(
                             edtSetting =>
                             {
                                 edtSetting.Name = "cmdNew";
                                 edtSetting.Text = "New";
                                 edtSetting.Width = 80;
                                 edtSetting.ClientSideEvents.Click = "OnNew";
                                 edtSetting.Style.Add("display", "inline-table");
                                 edtSetting.UseSubmitBehavior = true;
                                 //FOR TEST ONLY
                                 //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "SEARCH");
                             }
                             ).GetHtml()

                            @Html.DevExpress().Button(
                             edtSetting =>
                             {
                                 edtSetting.Name = "cmdDelete";
                                 edtSetting.Text = "Delete";
                                 edtSetting.Width = 80;
                                 edtSetting.ClientSideEvents.Click = "OnDelete";
                                 edtSetting.Style.Add("display", "inline-table");
                                 edtSetting.UseSubmitBehavior = true;
                                 //FOR TEST ONLY
                                 //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "SEARCH");
                             }
                             ).GetHtml()

                        </td>
                    </tr> 
                </table>
            </td>
            <td style="padding-left: 7px;">
                <table style="width: 100%">
                     <tr>
                         
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "* Manual Order Type";
                        Label.Width = 120;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_MANUAL_ORDER_TYPE";
                        settings.Properties.ClientSideEvents.Init = "SetFocus";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["MANUAL_ORDER_TYPE"]).GetHtml()    

                 </td> 
                     </tr>

                    <tr> 
                        <td></td>
                        <td align="left" colspan="2" style="padding-top:10%">
                            @Html.DevExpress().Button(
                             edtSetting =>
                             {
                                 edtSetting.Name = "cmdSubmit";
                                 edtSetting.Text = "Submit";
                                 edtSetting.Width = 80;
                                 edtSetting.ClientSideEvents.Click = "OnSubmit";
                                 edtSetting.Style.Add("display", "inline-table");
                                 edtSetting.UseSubmitBehavior = true;
                                 //FOR TEST ONLY
                                 //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "SEARCH");
                             }
                             ).GetHtml()

                            @Html.DevExpress().Button(
                             edtSetting =>
                             {
                                 edtSetting.Name = "cmdCancel";
                                 edtSetting.Text = "Cancel";
                                 edtSetting.Width = 80;
                                 edtSetting.ClientSideEvents.Click = "CancelAllData";
                                 edtSetting.Style.Add("display", "inline-table");
                                 edtSetting.UseSubmitBehavior = true;
                                 //FOR TEST ONLY
                                 //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "SEARCH");
                             }
                             ).GetHtml()

                        </td>

                    </tr> 
                </table> 
            </td>
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("ManualOrderCreationGrid")
</div>
